Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Migrating AXL / SOAP applications from 4.1(3) to 6.1(2)

Hello,

I am trying to migrate a complete application developped to fit our customer requirements and which is using CUCM AXL interface.

The application works fine with a CUCM 4.1(3) version, but my preliminary tests with 6.1(2) are not successful.

I first tried to send the very same requests without any modifications.

Then I tried to compare the requests we are using with the ones in the Administrative XML (AXL) Programming for 6.1(2) documentation and modify the first ones.

Finally I simply copy / pasted a request of the documentation.

The result is allways the same: it seems my request is never received on the CUCM server as I cannot see any trace of it in the RTMT's AXL logs.

I carefully followed the Post-Installation Steps and Troubleshooting on the Linux platform (http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/devguide/7_0_1/ccmdvCh1.html#wp74034).

Here is the last request I tried to send to the server (45.9.100.100):

$sAXLSOAPRequest = "POST /axl/ HTTP/1.0

Host: 45.9.100.100:8443

Authorization: Basic $encoded

Accept: text/*

Content-type: text/xml

SOAPAction: \"CUCM:DB ver=6.1\"

Content-length: ";

$sAXLRequest = "<SOAP-ENV:Envelope xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\"

xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"

xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">

<SOAP-ENV:Body>

<axl:getUser xmlns:axl=http://www.cisco.com/AXL/API/6.1

xsi:schemaLocation=\"http://www.cisco.com/AXL/API/6.1 http://ccmserver/schema/axlsoap.xsd\"

sequence=\"1234\">

<userid>jlaffitte</userid>

</axl:getUser>

</SOAP-ENV:Body>

</SOAP-ENV:Envelope>";

$sAXLSOAPRequest .= length($sAXLRequest);

$sAXLSOAPRequest .= "\r\n\r\n";

$sAXLSOAPRequest .= $sAXLRequest;

Note 1: we are using PERL scripts.

Note 2: $encoded is a variable containing the base64 encoded "user:password" string.

Have you ever observed this problem? I think this must be some configuration issue but I cannot find it.

Thanks in advance,

Julien

2 REPLIES
Bronze

Re: Migrating AXL / SOAP applications from 4.1(3) to 6.1(2)

Check and be sure AXL SOAP is enabled on the CallManager? Is there any error message appearing? Can you tell me the exact version of CallManager you have including SR and ES?

New Member

Re: Migrating AXL / SOAP applications from 4.1(3) to 6.1(2)

Yep AXL SOAP is enabled and running on the CallManager (test with https://my-host/axl is ok).

I have no error messages appearing anywhere ; in fact I can see no trace of any of the requests I sent to the server.

But I think I found my problem: it is not clearly explained in the AXL docs, but it appears that the sockets used are now HTTPs ones. And I was using HTTP ones in my previous application.

However I have not yet succeeded in installing the correct packages and test this solution.

115
Views
0
Helpful
2
Replies
CreatePlease to create content